Subject: Re: bug#19466: 25.0.50; xref-find-def doesn't find C functions

From: Stefan Monnier <[email-masked]>
Date: Tue, 30 Dec 2014 17:44:20 -0500

> I probably don't understand exactly what you are suggesting, but can
> we look at this from another angle: how can xref support looking up
> symbols for projects that use more than one major mode?  E.g., could
> the back-end be a list of functions, rather than just one?

I think it's not just a matter of combining several major modes: you
need to know where the various files are and how they relate.  IOW there
needs to be some other logic on top of it and different systems will
require different such logic.

        Stefan